- [HTTP request](https://developers.google.com/workspace/add-ons/reference/rest/v1/projects.deployments/create#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/add-ons/reference/rest/v1/projects.deployments/create#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/workspace/add-ons/reference/rest/v1/projects.deployments/create#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/workspace/add-ons/reference/rest/v1/projects.deployments/create#body.request_body)
- [Response body](https://developers.google.com/workspace/add-ons/reference/rest/v1/projects.deployments/create#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/add-ons/reference/rest/v1/projects.deployments/create#body.aspect)
- [Try it!](https://developers.google.com/workspace/add-ons/reference/rest/v1/projects.deployments/create#try-it)

Creates a deployment with the specified name and configuration.

### HTTP request

`POST https://gsuiteaddons.googleapis.com/v1/{parent=projects/*}/deployments`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Name of the project in which to create the deployment. Example: `projects/my_project`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `gsuiteaddons.deployments.create` |

### Query parameters

| Parameters ||
|---|---|
| `deploymentId` | `string` Required. The ID to use for this deployment. The full name of the created resource will be `projects/<projectNumber>/deployments/<deploymentId>`. |

### Request body

The request body contains an instance of `https://developers.google.com/workspace/add-ons/reference/rest/v1/projects.deployments#Deployment`.

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/workspace/add-ons/reference/rest/v1/projects.deployments#Deployment`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).